@import "color.css";

:root {
    /* make the backend contents as wide as the browser window */
    --body-max-width: 100%;
    /* change the background color of the <body> */
    --body-bg: #f5f5f5;
    /* make the base font size smaller */
    --font-size-base: 45px;
    /* remove all border radius to make corners straight */
    --border-radius: 0px;
    --sidebar-max-width: 300px;
}

/*-----------------UTILITIES-------------------*/
.content-wrapper{
    min-height: 87vh;
}

/*.wrapper{
    margin: inherit;
    width: 100%;
}*/

.no-wrap{
    display: flex;
    flex-wrap: nowrap;
}

.flex-center{
    display: flex;
    align-items: center;
}

.no-dots {
    list-style-type: none;
    padding: 0;
}

.sf-dump{
    width: 100em;
}

/*-------------END-UTILITIES-------------------------*/



.main-header.navbar{
    justify-content: space-between;
    width: 200%;
}

#header-search{
    background-color: var(--white-cagibig);
    padding: 0.5em 2em 0.5em 2em;
/* TODO casse tout    margin-left: 33vw;*/
    border-radius: 30px;
}

body.ea-sidebar-width-compact .main-sidebar{
    position: -webkit-sticky;
    position: sticky;
    top: 20px;
}

.cagibig-back{
    background-image: url("../img/imageHome.jpg");
    background-size: cover;
    background-position-y: center;
}

.cagibig-background{
    background-color: #DADADA;
    background-image: url("../img/imageHome.jpg");
    background-size: cover;
    background-position-y: center;
    min-height: 70vh;
    display: flex;
}

.sidebar-menu .menu-icon{
    font-size: 50px !important;
}

.box {
    width: 40%;
    margin: 0 auto;
    background: rgba(255,255,255,0.2);
    padding: 35px;
    border: 2px solid #fff;
    border-radius: 20px/50px;
    background-clip: padding-box;
    text-align: center;
}



body{
    background-color: #EFF2F4;
}

.register-button {
    background-color: #287AB1;
    min-width: 6em;
    font-size: 1em;
    padding: 10px;
    color: #fff;
    border: 1px solid #031939;
    border-radius: 20px/50px;
    text-decoration: none;
    cursor: pointer;
    transition: all 0.3s ease-out;
    text-align: center;
}


.fa-plus-circle{
    font-size: xxx-large;
}

.fa-times-circle{
    font-size: xxx-large;
}

.close-windows .fa-times-circle{
    font-size: medium;
}

/*----------------------popup------------------*/

.overlay {
    z-index: 1039;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(7, 41, 217, 0.2);
    transition: opacity 500ms;
    opacity: 1;
}

.popup {
    margin: 70px auto;
    background: #fff;
    border-radius: 20px;
    width: 30%;
    position: relative;
    transition: all 5s ease-in-out;
}

.popup-large {
    margin: 70px auto;
    background: #fff;
    border-radius: 20px;
    width: 50%;
    position: relative;
    transition: all 5s ease-in-out;
}

.popup .card{
    border-radius: 1.25rem;
}
/*--------------end-----popup------------------*/

/*----------------------login------------------*/

.login-popup {
    padding: 1em 0 ;
    margin: 70px auto;
    background: #fff;
    border-radius: 20px;
    width: 30%;
    position: relative;
    transition: all 5s ease-in-out;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.login-popup > form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 3%;
}

.login-popup > form > .logo {
    width: 35%;
}

/*--------------end----login------------------*/

/*----------------------registration-formulaire-----------------*/


.blue-center-back {
    background: #EFF2F4;
    width: 100%;
    height: 100%;
    position: relative;
}

.blue-center-back > form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 3%;
}

.form-cadre, .form-group-cadre > div {
    border-radius: 20px;
    border: 2px solid black;
    background-color: white;
    padding: 0.5em;
    margin: 0.5em;
    width: 100%;
    white-space: nowrap;
}

.form-cadre > div > label, .form-group-cadre > div > label {
    margin: 0.5em;
}

.form-cadre > div > input, .form-group-cadre > div > input {
    border: none;
    width: 60%;
    background-color: transparent;
}

.vignette {
    background: no-repeat right;
    background-size: contain;
    padding: 1em;
}

.select-company {
    background-color: #3c4caa;
}

input, textarea, select{
    display: block;
    width: 100%;
}
/*
input-transparent
 */
.input-bot-border {
    border:none;
    border-bottom: 1px solid #1b1e21;
    padding: 5px 10px;
    outline: none;
}

.smallLabel {
    font-size: 0.5rem;
}

.blue-btn{
    height: 3rem;
    width: 5rem;
    border: solid #000002 0.1px;
    background-color: #287AB1;
    color: #f0f2f4;
    border-radius: 10px;
}

.blue-btn:hover{
    background-color: #1e5e89;
    color: #f0f2f4;
}
.btn-transparent{
    background-color: transparent ;
    color: #000001;
}

.btn-transparent:hover{
    transition: 0.5s;
    background-color: #287AB1;
    color: #f0f2f4;
    border: none;
}

.btn-add{
    border-radius: 10px;
    background-color: #287AB1;
    color: #f0f2f4;
}

.hiddenCheckBox input{
    display: none;
}
.bg-uncheck{
    background-color: #aeaeb4;
    padding: 0.2rem;
    border-radius:  10px;
}
.bgChcker{
    background-color: #287AB1;
    color: #f0f2f4;
    padding: 0.2rem;
    border-radius:  10px;
}
.addtag::placeholder {
   text-decoration: underline;
}
.carct-prod {
    display: flex;
    width: 50%;
}

#add_product_details{
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

#add_product_details input{
    border:none;
    border-bottom: 1px solid #1890ff;
    padding: 5px 10px;
    outline: none;
}

#add_product_details div{
    flex: calc(100%/3);
    max-width: 70.33333%;
}
/*
hide unit and value in page Characteristics of the product
 */
.carct-prod label{
    display: none;
}

#add_product_details select{
    background-color: #f0f2f4;
    border: none;
}

[placeholder]:focus::-webkit-input-placeholder {
    transition: text-indent 0.4s 0.4s ease;
    text-indent: -100%;
    opacity: 1;
}
/*--------------end-----registration-formulaire-----------------*/

/*--------------------post--login------------------*/

.post-login-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.post-login-card {
    padding: 1vw;
    border-radius: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: #DADADA;
    align-items: center;
    margin: 3%;
    max-width: 40vw;
}

.post-login-card > .title {
    display: flex;
    justify-content: center;
    width: 100%;
}

.circle{
    min-height: 13vw;
    min-width: 13vw;
    border-radius: 50%;
    display: inline-block;
    background-size: contain;
    background: red no-repeat center;
}

/*--------------end--post--login------------------*/

@media screen and (max-width: 700px){
    .box{
        width: 70%;
    }
    .popup{
        width: 70%;
    }
}

/*----------------------help--message-form-----------------*/

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    /*background-color: #f1f1f1;*/
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1040;
}

.dropdown:hover .dropdown-content {display: block;}

.help_over {
    position: absolute;
    padding: 42px 32px;
    /*clip-path: circle(20% at 95% 11%);*/
    transition: all ease-in-out 0.3s;
}
.help_hover__label {
    position: absolute;
    top: 10px;
    right: 28px;
    font-size: 1.4em;
    color: #000;
    transition: ease-out 0.3s;
}
.help_hover__title {
    margin: 0;
    font-size: 3em;
    line-height: 1.8;
}
.help_hover__description {
    margin: 0;
    font-size: 1.1em;
    line-height: 1.6;
}

.help_over:hover {
    /*clip-path: circle(75%);*/
    border-radius: 20px;
    box-shadow: 0px 3px 9px rgba(0, 0, 0, 0.12), 0px 3px 18px rgba(0, 0, 0, 0.08);
    background: #fff;
    outline: none;
}

.help_over:focus {
    box-shadow: 0px 3px 9px rgba(0, 0, 0, 0.12), 0px 3px 18px rgba(0, 0, 0, 0.08), 0px 0px 0px 4px rgba(0, 0, 0, 0.2);
}

/*-----------------end--help--message-form-----------------*/


/*
tool-box for img products add
*/
.scroller {
    width: 100%;
    height: auto;
    overflow-x: scroll;
    scrollbar-color: rebeccapurple green;
    scrollbar-width: thin;
}
.img-zoom:hover{
    transform: scale(1.5);
    overflow: visible;
    z-index: 9999;
}


/*
dev zone
 */
/* Parent Container */
.content_img{
    position: relative;
    float: left;
}

/* Child Text Container */
.content_img div{
    position: absolute;
    bottom: 0;
    right: 0;
    color: white;
    font-family: sans-serif;
    opacity: 0;
    top: 8px;
    visibility: hidden;
    -webkit-transition: visibility 0s, opacity 0.5s linear;
    transition: visibility 0s, opacity 0.5s linear;

}

.content_img div  {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Hover on Parent Container */
.content_img:hover{
    cursor: pointer;
}

.content_img:hover div{
    background-color: rgba(35, 35, 29, 0.5);
    width: 100%;
    visibility: visible;
    opacity: 1;
}
/*
dev zone
 */

@media  (min-width: 880px) and (max-width: 1500px){
 .popup{
     width: 50% ;
 }
}
